com.sun.grid.jgdi.filter

## Interface SimpleFilter

- All Superinterfaces:
    JGDIFilter
  All Known Implementing Classes:
    DefaultSimpleFilter

      public interface SimpleFilter
      extends JGDIFilter

  Simple filter that can be expressed by a CULL what and where clause.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getWhat()` Get the what clause of the filter
    `WhereClause` | `getWhere()` Get the where clause of the filter

- - ### Method Detail

    - #### getWhere

          WhereClause getWhere()

      Get the where clause of the filter
      Returns:
        the what where

    - #### getWhat

          java.lang.String getWhat()

      Get the what clause of the filter
      Returns:
        the what clause

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.